org.deidentifier.arx.framework.data

## Class DataManagerSubset

- java.lang.Object
- - org.deidentifier.arx.framework.data.DataManager
  - - org.deidentifier.arx.framework.data.DataManagerSubset

    public class DataManagerSubset
    extends DataManager

A data manager that is projected onto a given subset. Used for post-optimization.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`double[]` `getDistribution(DataMatrix data, int index, int distinctValues)` Returns the distribution of the attribute in the data array at the given index.
`double[]` `getDistribution(java.lang.String attribute)` Returns the distribution of the given sensitive attribute in the original dataset.
`int[]` `getOrder(java.lang.String attribute)` Returns the order of the given sensitive attribute in the original dataset.
`int[]` `getTree(DataMatrix data, int index, int[][] hierarchy)` Returns a tree for the given attribute at the index within the given data array, using the given hierarchy.
`int[]` `getTree(java.lang.String attribute)` Returns the tree for the given sensitive attribute, if a generalization hierarchy is associated.

### Methods inherited from class org.deidentifier.arx.framework.data.DataManager

`getAggregationInformation, getDataAnalyzed, getDataGeneralized, getDataInput, getDomainShares, getDomainSharesReliable, getHeader, getHierachiesHeights, getHierarchies, getHierarchiesMaxLevels, getHierarchiesMinLevels, getSubsetInstance`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDistribution

    public double[] getDistribution(DataMatrix data,
                                    int index,
                                    int distinctValues)

Description copied from class: `DataManager`
Returns the distribution of the attribute in the data array at the given index.

Overrides:
  `getDistribution` in class `DataManager`
Returns:

#### getDistribution

    public double[] getDistribution(java.lang.String attribute)

Description copied from class: `DataManager`
Returns the distribution of the given sensitive attribute in the original dataset. Required for t-closeness.

Overrides:
  `getDistribution` in class `DataManager`
Returns:
  distribution

#### getOrder

    public int[] getOrder(java.lang.String attribute)

Description copied from class: `DataManager`
Returns the order of the given sensitive attribute in the original dataset. Required for t-closeness.

Overrides:
  `getOrder` in class `DataManager`
Returns:
  distribution

#### getTree

    public int[] getTree(DataMatrix data,
                         int index,
                         int[][] hierarchy)

Description copied from class: `DataManager`
Returns a tree for the given attribute at the index within the given data array, using the given hierarchy. The resulting tree can be used to calculate the earth mover's distance with hierarchical ground-distance.

Overrides:
  `getTree` in class `DataManager`
Returns:
  tree

#### getTree

    public int[] getTree(java.lang.String attribute)

Description copied from class: `DataManager`
Returns the tree for the given sensitive attribute, if a generalization hierarchy is associated. The resulting tree can be used to calculate the earth mover's distance with hierarchical ground-distance.

Overrides:
  `getTree` in class `DataManager`
Returns:
  tree